LINUX.ORG.RU

Не могу установить драйвер

 


0

1

Доброе время суток!

Есть железо:

Процессор: Pentium Core Duo E5300 Видеокарта: AMD Radeon HD 4650

Я не спец, но базовые вещи понимаю, хотел установить Linux на слабый старый комп чтобы смотреть на youtube или фильмы, но после установки DEBIAN 10 XFCE (который работает на Linux buster 10), разрешение экрана 1440х900 или меньше, все очень мелко и некрасиво. Видео на ютубе работает прерывисто словно на 20 фпс.

Скачал драйвер AMD Legacy Catalyst 13.1, но при установке пишет ошибку X server.

Есть ли способы установить драйвер для моей видеокарты чтобы было разрешение как положено 1920х1080 и нормальные фпс при проигрывании видео? (youtube, фильмы)

Спасибо заранее)

разрешение экрана 1440х900 или меньше, все очень мелко и некрасиво

Если всё мелко, то у тебя, наверное, как раз большое разрешение. По поводу красиво - тут смотреть надо

Видео на ютубе работает прерывисто словно на 20 фпс

А видяха умеет сама декодить?

turtle_bazon ★★★★★ ()
Ответ на: комментарий от turtle_bazon

За аву респект, меня аж в детство отбросило и ностальгию вызвало)

На счет декодинга не знаю даже, разрешение на ТВ FULL HD, но в настройках линукса показывает 1440 и 900 примерно, точно не full hd (1920х1080).

По дефолту что-то не очень работает, изображения и движения на экране по ощущениям 20 фпс.

goddess001 ()
Ответ на: комментарий от goddess001

Драйвер Catalyst работает только на старых Linux, точнее модуль ядра соберётся только под старое ядро, а помимо старого ядра нужен ещё старый xorg-server, версию сейчас не подскажу, посмотрите в описании вашего драйвера.

Для карт Radeon, где нет поддержки современным закрытым драйвером amdgpu нужно использовать, а точнее можно использовать только открытый драйвер radeon.

Если вы пишете, что у вас нет нужного разрешения, но добавьте его через xrandr.

Если вы говорите, что у вас всё тормозит, то тут выход смотреть youtube через mplayer / mpv, почитайте как это настроить в браузере, а в плеере включить vdpau для аппаратного ускорения декодирования.

Если для вас всё это очень сложно, то выход есть проще: установить старый дистрибутив Linux со старым ядром и xorg-server, который поддерживает драйвер Catalyst.

infomeh ★★ ()
Ответ на: комментарий от goddess001

Использовать свободный драйвер, что есть в поставке по умолчанию.

А твоя проблема в том, что видео в браузерах в Linux на CPU декодируются. В медиаплеере должно быть нормально.

Vsevolod-linuxoid ★★★★★ ()

AMD Radeon HD 4650

Это вещь весьма старая. Весьма. Каталист тебе не нужен, свободный драйвер карту поддерживает нормально. Дебиан в данном случае не самый подходящий выбор, потому как в нем по умолчанию нет фирмварных блобов, их надо доставлять отдельно. Потом надо будет доставить VDPAU. Firefox под линуксами не умеет декодировать аппаратно, но это решается плагинами и mpv: ставишь mpv, настраиваешь его на vdpau, ставишь плагин который ютубное видео открывает в проигрывателе.

morse ★★★★★ ()
Ответ на: комментарий от goddess001

Не знаю, посмотрите по репозиториям пакетов Ubuntu / Debian.

AMD Catalyst™ 13.1 Proprietary Linux x86 Display Driver Revision Number 13.1 File Size 102 MB Release Date 1/21/2013 DOWNLOAD* Driver Details Automated installer and Display Drivers for Xorg 6.9 to Xserver 1.12 and Kernel version up to 3.4

В случае Debian будет что-то вроде Debian Etch. А это 2010 год.

Ubuntu тоже примерно того периода.

Но на старом Linux у вас не запустятся современные браузеры.

infomeh ★★ ()
# apt install firmware-linux firmware-linux-nonfree
# apt install firmware-amd-graphics
# apt install mesa-opencl-icd

карта старая можно подрастолкать - скачай это https://sites.google.com/site/amdamdsoft/Home/pomos/10-radeon.conf?attredirects=0&d=1 и положи в

/usr/share/X11/xorg.conf.d
у меня так даже x1950pro ожила

amd_amd ★★★ ()
Ответ на: комментарий от goddess001

А какой Linux самый подходящий?

Ты такие вопросы тут не задавай, срач на 10 страниц гарантирован :) Я сам пользую федору, в ней амдшные блобы точно идут в комплекте. Подозреваю что в убунте тоже все с этим в порядке. Да и вааобще любой дистрибутив заточенный именно на десктоп должен все это иметь.

morse ★★★★★ ()
Ответ на: комментарий от goddess001

Есть возможность сделать так, чтобы в браузере все было нормально?

На выбор:

  • подождать, напишут когда-нибудь, если звезды сложатся
  • нанять банду разработчиков, чтобы внедрили поддержку аппаратного декодирования в любимый браузер (или запилить самостоятельно)
  • установить винду хорошо, не будем об этом
anonymous ()
Ответ на: комментарий от morse

Ставлю федору, можно пожалуйста чуть подробную инструкцию для аппаратного ускорения видео с браузера? Чтобы все видео в браузере ускорялось, не только ютуб, например ГидОнлайн

goddess001 ()

Привет. Ты можешь использовать Ubuntu 12.04 LTS, и там проприетарный драйвер Catalyst 13.1-legacy заработает. Однако там не будет самых новых версий браузера, и аппаратное декодирование видео будет сложно настроить. Лучше тебе использовать любую современную версию Linux, в которой - открытый драйвер. Производительность открытого драйвера уже давно не уступает производительности проприетарного.

ZenitharChampion ★★★★★ ()
Ответ на: комментарий от goddess001

Я ж написал: аппаратного ускорения в файрфоксе в линуксе нет. Есть плагины для запуска проигрывателя. Например такой https://addons.mozilla.org/en-US/firefox/addon/send-to-mpv-player/

Может в каком-нибудь хроме есть, не знаю, не пользовался.

Чтобы в федоре поставить например, mpv, надо подключить rpmfusion

sudo dnf install https://download1.rpmfusion.org/free/fedora/rpmfusion-free-release-$(rpm -E %fedora).noarch.rpm https://download1.rpmfusion.org/nonfree/fedora/rpmfusion-nonfree-release-$(rpm -E %fedora).noarch.rpm

Дальше mpv, кодеки для gstreamer'а можно заодно, и плагин для браузера. В настройках mpv надо указать аппаратное декодирование, в интернете можно найти как это делается.

morse ★★★★★ ()
Ответ на: комментарий от goddess001

> Спасибо, Поддержка x server до 1.10 написано, какой дистрибутив самый последний стоит устанавливать?

Debian 6 «Squeeze», Ubuntu 12.10 (но лучше 12.04, потому что у неё - долговременная поддержка, и там - новый браузер), openSUSE 12.1.

В Debian нужно будет отредактировать sources.list, заменив URL репозитория на http://archive.debian.org/debian/, в Ubuntu на http://old-releases.ubuntu.com/, в openSUSE на https://ftp.gwdg.de/pub/opensuse/discontinued/distribution/12.1/repo/ и https://ftp.gwdg.de/pub/opensuse/discontinued/update/12.1/ (и про https://ftp.gwdg.de/pub/linux/misc/packman/suse/12.1/ не забыть)

Upd: весь мой пост - лишний. Драйвером 13.1-legacy поддерживается X-Server максимум 1.13, а не 1.10, как пишут по твоей ссылке

ZenitharChampion ★★★★★ ()
Последнее исправление: ZenitharChampion (всего исправлений: 3)
Ответ на: комментарий от goddess001

Кстати, ниже советовали установить firmware-amd-graphics. Если не установлен, то он обязательно нужен.

ПС: я запускал на 9-ке дебиана старые АМД карточки - без всяких драйверов норм. Но фирмварь установить нужно будет, конечно.

turtle_bazon ★★★★★ ()
Ответ на: комментарий от ZenitharChampion

Но распбиан для х86 это же дебиан! Да, я не спорю, он очень даже хорош. Ну разве что иногда надо нагуглить как правильно завесь ту или иную железку, как сейчас.

kirill_rrr ★★★★★ ()

Так, теперь по теме. Конкретно со старыми радеон НД я не сталкивался, у меня HD8***, ребрендинг HD7***. Версия свобдных дров mesa из дебиан7 была для них старовата, но 13.какая_то меса из генту подхватывала всё, в т.ч. какую то кастрированную версию openCL (хотя по идее не должна была).

Аналогично, драйвер radeon из месы пару лет назад сделал огромный скачок вперёд и сейчас как раз должен был прилететь в дебианы 9 или 10. А вот старые каталисты (и новые) всегда были глючными, а с новым софтом вдвойне. Поэтому поиск дистрибутива где всё поднимется из коробки вероятно мало продуктивен, на вашем месте я бы начал гуглить решение проблем под вашу видеокарту со свобощным драйвером. Ну и установка firmware - в конце концов она сводится к тому, что надо откопать нужные файлики и положить их в нужную папочку.

А лучшие инструкции по настройки видеокарт, в 95% случаев подходящие к любому дистрибутиву, я видел как ни странно в виках для генту и арча.

kirill_rrr ★★★★★ ()
Последнее исправление: kirill_rrr (всего исправлений: 1)

Декодирования видео в браузерах под линуксами (почти) нет. Нужно ставить патченный хромиум, для убунт есть ppa. Рачеводы вроде тоже себе собирают. Как в дебиане - хз.

aegi ★★★ ()